{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "ngx-dictionary-pipe": {
      "projectType": "library",
      "root": "projects/ngx-dictionary-pipe",
      "sourceRoot": "projects/ngx-dictionary-pipe/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ngx-dictionary-pipe/tsconfig.lib.json",
            "project": "projects/ngx-dictionary-pipe/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ngx-dictionary-pipe/src/test.ts",
            "tsConfig": "projects/ngx-dictionary-pipe/tsconfig.spec.json",
            "karmaConfig": "projects/ngx-dictionary-pipe/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ngx-dictionary-pipe/tsconfig.lib.json",
              "projects/ngx-dictionary-pipe/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "examples": {
      "projectType": "application",
      "schematics": {},
      "root": "projects/examples",
      "sourceRoot": "projects/examples/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/examples",
            "index": "projects/examples/src/index.html",
            "main": "projects/examples/src/main.ts",
            "polyfills": "projects/examples/src/polyfills.ts",
            "tsConfig": "projects/examples/tsconfig.app.json",
            "aot": false,
            "assets": [
              "projects/examples/src/favicon.ico",
              "projects/examples/src/assets",
              {
                "glob": "**/*",
                "input": "node_modules/ngx-monaco-editor/assets/monaco",
                "output": "./assets/monaco/"
              }
            ],
            "styles": [
              "./node_modules/bootstrap/dist/css/bootstrap.min.css",
              "./node_modules/ngx-bootstrap/datepicker/bs-datepicker.css",
              "projects/examples/src/styles.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/examples/src/environments/environment.ts",
                  "with": "projects/examples/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "examples:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "examples:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "examples:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/examples/src/test.ts",
            "polyfills": "projects/examples/src/polyfills.ts",
            "tsConfig": "projects/examples/tsconfig.spec.json",
            "karmaConfig": "projects/examples/karma.conf.js",
            "assets": [
              "projects/examples/src/favicon.ico",
              "projects/examples/src/assets",
              {
                "glob": "**/*",
                "input": "node_modules/ngx-monaco-editor/assets/monaco",
                "output": "./assets/monaco/"
              }
            ],
            "styles": [
              "./node_modules/bootstrap/dist/css/bootstrap.min.css",
              "./node_modules/ngx-bootstrap/datepicker/bs-datepicker.css",
              "projects/examples/src/styles.css"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/examples/tsconfig.app.json",
              "projects/examples/tsconfig.spec.json",
              "projects/examples/e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/examples/e2e/protractor.conf.js",
            "devServerTarget": "examples:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "examples:serve:production"
            }
          }
        }
      }
    }
  },
  "defaultProject": "ngx-dictionary-pipe"
}